Package org.apache.velocity.runtime.directive

# Class Block.Reference

java.lang.Object
org.apache.velocity.runtime.directive.Block.Reference

All Implemented Interfaces:
  `Renderable`

Enclosing class:
  `Block`

public static class Block.Reference extends Object implements Renderable
actual class placed in the context, holds the context being used for the render, as well as the parent (which already holds everything else we need).

## Constructor Summary

Constructors
Constructor
Description
`Reference(InternalContextAdapter context, Block parent)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`getAsBoolean()`
Makes #if( $blockRef ) true without rendering, so long as we aren't beyond max depth.
`boolean`
`render(InternalContextAdapter context, Writer writer)`
Render the AST of this block into the writer using the context.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Reference

public Reference(InternalContextAdapter context, Block parent)

Parameters:
  `context` -
  `parent` -

## Method Details

### render

public boolean render(InternalContextAdapter context, Writer writer)
Render the AST of this block into the writer using the context.

Specified by:
  `render` in interface `Renderable`
Parameters:
  `context` -
  `writer` -
Returns:
  success status

### getAsBoolean

public boolean getAsBoolean()
Makes #if( $blockRef ) true without rendering, so long as we aren't beyond max depth.

Returns:
  reference value as boolean

### toString

public String toString()

Overrides:
  `toString` in class `Object`
Returns:
  rendered string